function objetoAjax()
    { 
    
    var xmlHttp;
        try
        { // Firefox, Opera 8.0+, Safari 
        xmlHttp=new XMLHttpRequest(); 
        }
    catch (e)
        {      // Internet Explorer 
        try
            {     
            xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");     
            }
        catch (e)
            {     
            try
                {      
                xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");      
                }
            catch (e)
                {      
                alert("Your browser does not support AJAX!");      
                return false;      
                }     
            } 
        }
    return xmlHttp;
}


function doBackup(){
var idthrs = document.getElementById('cbthrs').value;
var idj = document.getElementById('cbjef').value;
var ids = document.getElementById('cbserv').value;
var idtp = document.getElementById('cbtp').value;
var anno = document.getElementById('anno').value;
var mes = document.getElementById('mes').value;
document.location = "bkscriptprog.php?idj="+idj+"&ids="+ids+"&idtp="+idtp+"&anno="+anno+"&mes="+mes+"&idthrs="+idthrs;	
}

function regresarMPterm(){
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
//alert(tusu);
//var save= document.getElementById("save").value;

document.location= "../../personal/adminterminal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;

}

function reportarDM(){

var numdm= document.getElementById("numdm").value;
var codprog = new Array();
var coddm = new Array();
var j=0;
for(var i=0;i<numdm;i++){
  if (document.getElementById("lista["+i+"]").checked){
		codprog[j]=document.getElementById("idcoda["+i+"]").value;
		coddm[j]=document.getElementById("iddma["+i+"]").value;
		j=j+1;
	}
}
codprogs = serialize(codprog);
coddms = serialize(coddm);
window.open("../listardesmedreporte.php?numdm="+numdm+"&codprogs="+codprogs+"&coddms="+coddms,"","height=850,width=1050,scrollbars=YES");
}

function reportarHP(){
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var idtp= document.getElementById("cbtp").value;
var ids= document.getElementById("cbserv").value;
var idj= document.getElementById("cbjef").value;
window.open("../listarhoraperreporte.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp,"","height=850,width=1050,scrollbars=YES");
}


function validarDM (codigo){
//codigo = eval(codigo);
//alert(codigo);
var codugid= document.getElementById("ugid").value;
window.open("editardesmed.php?codigo="+codigo+"&codugid="+codugid,"","height=350,width=550,scrollbars=YES");
}
//editar los turnos
function listarpersonHP (){
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var idtp= document.getElementById("cbtp").value;
var ids= document.getElementById("cbserv").value;
var idj= document.getElementById("cbjef").value;
divResultado = document.getElementById("divDM");
divResultado.innerHTML= "<center><img src='../../anim.gif'></center>";
ajax2=objetoAjax();
var aleatorio=Math.random();
ajax2.open("GET", "listarpersonalhp.php?&idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&aleatorio="+aleatorio);
ajax2.onreadystatechange=function() {
if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
ajax2.send(null)
}

function exportaexcelDM (){
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var idtp= document.getElementById("cbtp").value;
var ids= document.getElementById("cbserv").value;
var idj= document.getElementById("cbjef").value;
var idestado= document.getElementById("cbestado").value;
document.location = "listarpersonaldmexcel.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&idestado="+idestado;
}

function exportaexcelHP (){
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var idtp= document.getElementById("cbtp").value;
var ids= document.getElementById("cbserv").value;
var idj= document.getElementById("cbjef").value;
document.location = "listarpersonalhpexcel.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp;
}

function mostrarpersonal() {
var depa = document.getElementById("bbdepartamento").value;
var serv = document.getElementById("servicio").value;
var pers = document.getElementById("personal").value;
var anno = document.getElementById("anno").value;
var mes = document.getElementById("mes").value;
//alert(depa+"-"+serv+"-"+pers+"-"+anno+"-"+mes);
 divResultado = document.getElementById('listapersonal');
 divResultado.innerHTML= "<img src='anim.gif'>";
 ajax2=objetoAjax();
 ajax2.open("GET", "listarpersonal.php?depa="+depa+"&serv="+serv+"&pers="+pers+"&anno="+anno+"&mes="+mes,false);
 ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null)
}

function regresarMP(){
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
//var save= document.getElementById("save").value;
if(tusu==1){
document.location= "personal/menuadminprog.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}else{
document.location= "personal/menuadmin.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

}

function guardarprogramacion(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("idtp").value;
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var ugid= document.getElementById("ugid").value;

document.location = "aprobarprogramacion.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&idtp="+idtp+"&anno="+anno+"&mes="+mes;

}

function publicarprogramacion(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("idtp").value;
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var ugid= document.getElementById("ugid").value;

document.location = "publicaprogramacion.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&idtp="+idtp+"&anno="+anno+"&mes="+mes;

}

//crea un nuevo grupo area para la programacion
function llenarturno(valor){
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var idga= document.getElementById("tarea").value;
var idtp= document.getElementById("idtp").value;
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
//alert(idga);
if(valor==1){
var cadena="area.php?idga="+idga+"&idj="+idj+"&ids="+ids+"&a=1&idtp="+idtp+"&anno="+anno+"&mes="+mes;
}
if(valor==2){
var cadena="rarea.php?idga="+idga+"&idj="+idj+"&ids="+ids+"&a=1&idtp="+idtp+"&anno="+anno+"&mes="+mes;
}
divResultado = document.getElementById("divga"+idga);
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
 ajax2.open("GET", cadena, false);
 ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null)
}


function llenararea(){
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var idga= document.getElementById("idga").value;
var idtp= document.getElementById("idtp").value;
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var ugid= document.getElementById("ugid").value;
var valor= document.getElementById("valor").value;
var tusu= document.getElementById("tusu").value;
//alert(idga);
//divResultado = document.getElementById("divga"+idga);
//divResultado.innerHTML= "<center><img src='anim.gif'></center>";
//ajax2=objetoAjax();
if (valor==1){
if(tusu==1){
document.location= "progasistencial.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&tusu="+tusu;
}else{
document.location= "progasistencial.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid;
}
}
if(valor==2){
if(tusu==1){
document.location= "reprogramacionmes.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&tusu="+tusu;
}else{
document.location= "reprogramacionmes.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid;
}
}
 //ajax2.open("GET", "area.php?idga="+idga+"&idj="+idj+"&ids="+ids+"&a=1&idtp="+idtp+"&anno="+anno+"&mes="+mes);
 //ajax2.onreadystatechange=function() {
  //if (ajax2.readyState==4 && ajax2.status==200) {
   //divResultado.innerHTML = ajax2.responseText
  //}
 //}
 //ajax2.send(null)
}


function regresar(){
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
if(tusu==1){
document.location= "programacion/programacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&tusu="+tusu;
}else{
document.location= "programacion/programacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

}

function regresarmenurepro(){
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
if(tusu==1){
document.location= "programacion/reprogramacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&tusu="+tusu;
}else{
document.location= "programacion/reprogramacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}
}

function crearturno(idga,valor){
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var idtp= document.getElementById("idtp").value;
var ida= document.getElementById("area"+idga).value;
var idh= document.getElementById("hora"+idga+""+ida).value;
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
//alert("editarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&idh="+idh);
//var iddiv= document.getElementById("tarea").value;
//alert(tusu);
//divResultado = document.getElementById("divga"+idga);
//divResultado.innerHTML= "<center><img src='anim.gif'></center>";
//ajax2=objetoAjax();
//ajax2.open("GET", "editarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp);
 //ajax2.open("GET", "editarturno.php");
 if(tusu==1){
 var cadena= "consultaturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&valor="+valor+"&tusu="+tusu;
 }else{
 var cadena = "consultaturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&valor="+valor;
 }
 //alert(cadena);
  document.location = cadena;
 
 //ajax2.onreadystatechange=function() {
  //if (ajax2.readyState==4 && ajax2.status==200) {
   //divResultado.innerHTML = ajax2.responseText
  //}
 //}
 //ajax2.send(null)
}


//editar los turnos
function editarturno(idj, ids, idga, ida, idh, valor){
var ugid= document.getElementById("ugid").value;
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var idtp= document.getElementById("idtp").value;
var tusu= document.getElementById("tusu").value;
//divResultado = document.getElementById("divga"+idga);
//divResultado.innerHTML= "<center><img src='anim.gif'></center>";
//ajax2=objetoAjax();
//ajax2.open("GET", "editarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid);
var aleatorio=Math.random();
if(tusu==1){
document.location= "editarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&valor="+valor+"&aleatorio="+aleatorio+"&tusu="+tusu;
}else{
document.location= "editarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&valor="+valor+"&aleatorio="+aleatorio;
}
//ajax2.onreadystatechange=function() {
  //if (ajax2.readyState==4 && ajax2.status==200) {
   //divResultado.innerHTML = ajax2.responseText
  //}
 //}
//ajax2.send(null)
}




function mostrarhorario(idga){
//alert("hola mundo");
//var idga= document.getElementById("idga").value;
var ida= document.getElementById("area"+idga).value;
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;

//alert(idga);
divResultado = document.getElementById("horario"+idga);
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
 ajax2.open("GET", "horario.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids,false);
 ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null)
}

function grabarTurno(idga){
//alert("hola mundo");
var ndias = document.getElementById("ndias").value;
var ida= document.getElementById("area").value;
var idh= document.getElementById("hora").value;
var idj= document.getElementById("depa").value;
var ids= document.getElementById("serv").value;
var anno= document.getElementById("anno").value;
var mes= document.getElementById("mes").value;
var idtp= document.getElementById("idtp").value;
var ugid= document.getElementById("ugid").value;
var valor= document.getElementById("valor").value;
var tusu= document.getElementById("tusu").value;
//alert(ida);
var codprog = new Array();
var tiphe = new Array();
//alert(ndias);
for(var i=1;i<=ndias;i++){
j=i-1;
if(document.getElementById("dia["+i+"]").value==""){
codprog[j]=0;
}else{
codprog[j] = document.getElementById("dia["+i+"]").value;
}
if (document.getElementById("extra["+i+"]").checked){
tiphe[j] = 1 ;
}
else{
tiphe[j] = 0 ;
}
}
//alert(codprog.length);
codprogs = serialize(codprog);
//alert(codprogs);
tiphes = serialize(tiphe);
//alert(tiphes);
//////divResultado = document.getElementById("divga"+idga);
var aleatorio=Math.random();
//divResultado.innerHTML= "<center><img src='anim.gif'></center>";
//ajax2=objetoAjax();
//ajax2.open("GET", "guardarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&dia="+codprogs+"&extra="+tiphes+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid);
if(tusu==1){
document.location= "guardarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&dia="+codprogs+"&extra="+tiphes+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&valor="+valor+"&aleatorio="+aleatorio+"&tusu="+tusu;
}else{
document.location= "guardarturno.php?idga="+idga+"&ida="+ida+"&idj="+idj+"&ids="+ids+"&dia="+codprogs+"&extra="+tiphes+"&idh="+idh+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&ugid="+ugid+"&valor="+valor+"&aleatorio="+aleatorio;
}
//ajax2.onreadystatechange=function() {
  //if (ajax2.readyState==4 && ajax2.status==200) {
   //divResultado.innerHTML = ajax2.responseText
  //}
 //}
 //ajax2.send(null)
}

function serialize(arr) 
{ 
var res = 'a:'+ arr.length +':{'; 
for(var i=0; i<arr.length; i++) 
{ 
if( arr[i]==0 ){
//res += 'i:'+i+';s:0:"'+arr[i]+'";'; 
res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
}else if(arr[i]>0 && arr[i]<10){
//res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
}else{
//res += 'i:'+i+';s:'+arr[i].length+':"'+arr[i]+'";'; 
res += 'i:'+i+';s:'+arr[i].length+':"'+arr[i]+'";'; 
}
//alert(arr[i]);
} 
res += '}'; 
//alert(res);
return res; 
} 

function llenargrupoarea(idj, ids, idsa, idga, tp, anno, mes){
//var idj = document.getElementById("aidj").value;
//var ids= document.getElementById("aids").value;
//var idsa = document.getElementById("aidsa").value;
//var idga= document.getElementById("aidga").value;
//var tp= document.getElementById("atp").value;
//var anno= document.getElementById("aanno").value;
//var mes= document.getElementById("ames").value;

divResultado = document.getElementById("gadet"+idga);
//alert(idj);
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
 ajax2.open("GET", "cargagarea.php?idga="+idga+"&anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idsa="+idsa+"&tp="+tp,false);
 ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null)
}

function mostrardiv(idga) {

div = document.getElementById('gadet'+idga);
if(div.style.display == ''){
div.style.display = 'none';
document.getElementById('but'+idga).value='Ver';
}else{
div.style.display = '';
document.getElementById('but'+idga).value='Ocultar';
}

}

function buscarpersonalrepro() {
if(event.keyCode==13){
var idtp = document.getElementById('idtp').value
var anno = document.getElementById('anno').value
var mes = document.getElementById('mes').value
var idj = document.getElementById('depa').value
var ids = document.getElementById('serv').value
var nombre = document.getElementById('txtnombre').value
divResultado = document.getElementById('divbuscapersonal');
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
 ajax2.open("GET", "buscarlistapersonal.php?idtp="+idtp+"&nombre="+nombre+"&anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids,false);
ajax2.onreadystatechange=function() {
//ajax2.onreadystatechange=fhandler() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null)
}
}

function buscarpersonalnuevo() {
if(event.keyCode==13){
var nombre = document.getElementById('txtnombre').value
divResultado = document.getElementById('divbuscapersonal');
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();

 ajax2.onreadystatechange=function() {
 //ajax2.onreadystatechange=fhandler() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
   
  }
 }
 var aleatorio=Math.random();
 ajax2.open("GET", "registronuevopersonal.php?nombre="+nombre+"&aleatorio="+aleatorio,true);
 ajax2.send(null)
}
}

function abrirpagina(){
document.getElementById('txtnombre').focus();
}


 function buscarpersonal(tipo){
   
  if(event.keyCode==13){
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var cod = document.getElementById("codprog"+tipo).value;
   var idtp = document.getElementById("idtp").value;
   var mes = document.getElementById("mes").value;
   var anno = document.getElementById("anno").value;

 divResultado = document.getElementById('divper'+tipo);
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "buscapersonalprog.php?idj="+idj+"&ids="+ids+"&idtp="+idtp+"&mes="+mes+"&anno="+anno+"&cod="+cod+"&tipo="+tipo);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
}